For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETGet the current account
      • PATCHUpdate the current account
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceAccounts

Get the current account

GET
https://api.x.flatfile.com/v1/accounts/current
GET
/v1/accounts/current
$curl https://api.x.flatfile.com/v1/accounts/current \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
200Example0
1{
2 "data": {
3 "id": "us_acc_YOUR_ID",
4 "name": "MyAccountName",
5 "metadata": {},
6 "createdAt": "2023-10-30T16:59:45.735Z",
7 "updatedAt": "2023-10-30T16:59:45.735Z"
8 }
9}
Get the current account
Was this page helpful?
Previous

Update the current account

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Disable-Hooks"true"Required

Response

This endpoint returns an object.
dataobject
An account